Events
Retrieve Event List.
JWT Token Authentication. Enter "Bearer "
falseExample: false200Example: 200GET /api/v1/dashboard/events/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": {
"id": "text",
"title": "text",
"slug": "text",
"cover_image": "text",
"status": "draft",
"scope": "global",
"event_scope": "maker",
"event_type": "hackathon",
"start_datetime": "2026-01-01T00:00:00.000Z",
"end_datetime": "2026-01-01T00:00:00.000Z",
"venue": {
"venue_type": "text",
"venue_address": "text",
"venue_city": "text",
"venue_maps_url": "https://example.com",
"venue_online_link": "text",
"venue_platform": "text"
},
"organizer": {
"organiser_type": "text",
"organiser_ig": "text",
"organiser_campus": "text",
"organiser_company": "text",
"organiser_ci_id": "text"
},
"is_featured": true,
"is_collaboration": true,
"interest_count": 1,
"min_karma": 1,
"tags": null,
"user_limit": 1,
"category_id": "text",
"category_name": "text",
"viewer_interest_status": "text"
}
}Retrieve Event Detail.
JWT Token Authentication. Enter "Bearer "
falseExample: false200Example: 200GET /api/v1/dashboard/events/{event_id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": {
"id": "text",
"title": "text",
"slug": "text",
"description": "text",
"cover_image": "text",
"banner_image": "text",
"category_id": "text",
"category_name": "text",
"status": "draft",
"scope": "global",
"event_scope": "maker",
"event_type": "hackathon",
"scope_org": {
"id": "text",
"title": "text",
"org_type": "text"
},
"scope_ig": {
"id": "text",
"name": "text",
"icon": "text"
},
"scope_ci_id": "text",
"organizer": {
"organiser_type": "text",
"organiser_ig": "text",
"organiser_campus": "text",
"organiser_company": "text",
"organiser_ci_id": "text"
},
"venue": {
"venue_type": "text",
"venue_address": "text",
"venue_city": "text",
"venue_maps_url": "https://example.com",
"venue_online_link": "text",
"venue_platform": "text"
},
"start_datetime": "2026-01-01T00:00:00.000Z",
"end_datetime": "2026-01-01T00:00:00.000Z",
"registration_url": "text",
"registration_deadline": "2026-01-01T00:00:00.000Z",
"min_karma": 1,
"is_featured": true,
"is_collaboration": true,
"interest_count": 1,
"tags": null,
"user_limit": 1,
"linked_tasks": "text",
"co_owners": "text",
"collaborators": "text",
"viewer_interest_status": "text",
"viewer_can_access_registration": "text",
"viewer_access_blocked_reason": "text",
"created_by": {
"id": "text",
"full_name": "text",
"muid": "text",
"profile_pic": "text"
},
"updated_by": {
"id": "text",
"full_name": "text",
"muid": "text",
"profile_pic": "text"
},
"created_at": "2026-01-01T00:00:00.000Z",
"updated_at": "2026-01-01T00:00:00.000Z"
}
}Create Event Interest.
JWT Token Authentication. Enter "Bearer "
falseExample: false200Example: 200POST /api/v1/dashboard/events/{event_id}/interest/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": {
"event_id": "text",
"user_id": "text",
"status": "text"
}
}Delete Event Interest.
JWT Token Authentication. Enter "Bearer "
Interest removed successfully.
No content
DELETE /api/v1/dashboard/events/{event_id}/interest/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
Interest removed successfully.
No content
GET /events/admin/ Returns ALL events on the platform (all statuses, including cancelled). Supports additional admin filters: organiser_type, created_by.
JWT Token Authentication. Enter "Bearer "
No response body
No content
GET /api/v1/dashboard/events/admin/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
No response body
No content
POST /events/admin/<event_id>/approve/ Advances a pending event through the approval pipeline.
Transitions: pending_campus_approval → pending_approval pending_approval → published pending_mentor_approval → published
JWT Token Authentication. Enter "Bearer "
No response body
No content
POST /api/v1/dashboard/events/admin/{event_id}/approve/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
No response body
No content
PATCH /events/admin/<event_id>/feature/ Toggles is_featured on/off. Optionally accepts body: { "is_featured": true/false } If not provided, current value is toggled.
JWT Token Authentication. Enter "Bearer "
No response body
No content
PATCH /api/v1/dashboard/events/admin/{event_id}/feature/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
No response body
No content
POST /events/admin/<event_id>/reject/ Rejects a pending event, changing its status to 'rejected'. Body: { "reason": "..." }
JWT Token Authentication. Enter "Bearer "
No response body
No content
POST /api/v1/dashboard/events/admin/{event_id}/reject/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
No response body
No content
Retrieve Event Calendar.
falseExample: false200Example: 200GET /api/v1/dashboard/events/calendar/ HTTP/1.1
Accept: */*
{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": {
"id": "text",
"title": "text",
"slug": "text",
"status": "draft",
"start": "2026-01-01T00:00:00.000Z",
"end": "2026-01-01T00:00:00.000Z",
"venue_type": "physical",
"organiser_name": "text",
"category_name": "text",
"is_featured": true
}
}Retrieve Campus I G Event List.
JWT Token Authentication. Enter "Bearer "
falseExample: false200Example: 200GET /api/v1/dashboard/events/campus-ig/{campus_ig_id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": {
"id": "text",
"title": "text",
"slug": "text",
"cover_image": "text",
"status": "draft",
"scope": "global",
"event_scope": "maker",
"event_type": "hackathon",
"start_datetime": "2026-01-01T00:00:00.000Z",
"end_datetime": "2026-01-01T00:00:00.000Z",
"venue": {
"venue_type": "text",
"venue_address": "text",
"venue_city": "text",
"venue_maps_url": "https://example.com",
"venue_online_link": "text",
"venue_platform": "text"
},
"organizer": {
"organiser_type": "text",
"organiser_ig": "text",
"organiser_campus": "text",
"organiser_company": "text",
"organiser_ci_id": "text"
},
"is_featured": true,
"is_collaboration": true,
"interest_count": 1,
"min_karma": 1,
"tags": null,
"user_limit": 1,
"category_id": "text",
"category_name": "text",
"viewer_interest_status": "text"
}
}Retrieve Campus Event List.
JWT Token Authentication. Enter "Bearer "
falseExample: false200Example: 200GET /api/v1/dashboard/events/campus/{campus_id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": {
"id": "text",
"title": "text",
"slug": "text",
"cover_image": "text",
"status": "draft",
"scope": "global",
"event_scope": "maker",
"event_type": "hackathon",
"start_datetime": "2026-01-01T00:00:00.000Z",
"end_datetime": "2026-01-01T00:00:00.000Z",
"venue": {
"venue_type": "text",
"venue_address": "text",
"venue_city": "text",
"venue_maps_url": "https://example.com",
"venue_online_link": "text",
"venue_platform": "text"
},
"organizer": {
"organiser_type": "text",
"organiser_ig": "text",
"organiser_campus": "text",
"organiser_company": "text",
"organiser_ci_id": "text"
},
"is_featured": true,
"is_collaboration": true,
"interest_count": 1,
"min_karma": 1,
"tags": null,
"user_limit": 1,
"category_id": "text",
"category_name": "text",
"viewer_interest_status": "text"
}
}JWT Token Authentication. Enter "Bearer "
No response body
No content
POST /api/v1/dashboard/events/campus/{event_id}/approve/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
No response body
No content
JWT Token Authentication. Enter "Bearer "
No response body
No content
POST /api/v1/dashboard/events/campus/{event_id}/reject/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
No response body
No content
Retrieve Company Event List.
JWT Token Authentication. Enter "Bearer "
falseExample: false200Example: 200GET /api/v1/dashboard/events/company/{company_id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": {
"id": "text",
"title": "text",
"slug": "text",
"cover_image": "text",
"status": "draft",
"scope": "global",
"event_scope": "maker",
"event_type": "hackathon",
"start_datetime": "2026-01-01T00:00:00.000Z",
"end_datetime": "2026-01-01T00:00:00.000Z",
"venue": {
"venue_type": "text",
"venue_address": "text",
"venue_city": "text",
"venue_maps_url": "https://example.com",
"venue_online_link": "text",
"venue_platform": "text"
},
"organizer": {
"organiser_type": "text",
"organiser_ig": "text",
"organiser_campus": "text",
"organiser_company": "text",
"organiser_ci_id": "text"
},
"is_featured": true,
"is_collaboration": true,
"interest_count": 1,
"min_karma": 1,
"tags": null,
"user_limit": 1,
"category_id": "text",
"category_name": "text",
"viewer_interest_status": "text"
}
}Retrieve Event Featured.
JWT Token Authentication. Enter "Bearer "
falseExample: false200Example: 200GET /api/v1/dashboard/events/featured/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": {
"id": "text",
"title": "text",
"slug": "text",
"cover_image": "text",
"status": "draft",
"scope": "global",
"event_scope": "maker",
"event_type": "hackathon",
"start_datetime": "2026-01-01T00:00:00.000Z",
"end_datetime": "2026-01-01T00:00:00.000Z",
"venue": {
"venue_type": "text",
"venue_address": "text",
"venue_city": "text",
"venue_maps_url": "https://example.com",
"venue_online_link": "text",
"venue_platform": "text"
},
"organizer": {
"organiser_type": "text",
"organiser_ig": "text",
"organiser_campus": "text",
"organiser_company": "text",
"organiser_ci_id": "text"
},
"is_featured": true,
"is_collaboration": true,
"interest_count": 1,
"min_karma": 1,
"tags": null,
"user_limit": 1,
"category_id": "text",
"category_name": "text",
"viewer_interest_status": "text"
}
}Retrieve I G Event List.
JWT Token Authentication. Enter "Bearer "
falseExample: false200Example: 200GET /api/v1/dashboard/events/ig/{ig_id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": {
"id": "text",
"title": "text",
"slug": "text",
"cover_image": "text",
"status": "draft",
"scope": "global",
"event_scope": "maker",
"event_type": "hackathon",
"start_datetime": "2026-01-01T00:00:00.000Z",
"end_datetime": "2026-01-01T00:00:00.000Z",
"venue": {
"venue_type": "text",
"venue_address": "text",
"venue_city": "text",
"venue_maps_url": "https://example.com",
"venue_online_link": "text",
"venue_platform": "text"
},
"organizer": {
"organiser_type": "text",
"organiser_ig": "text",
"organiser_campus": "text",
"organiser_company": "text",
"organiser_ci_id": "text"
},
"is_featured": true,
"is_collaboration": true,
"interest_count": 1,
"min_karma": 1,
"tags": null,
"user_limit": 1,
"category_id": "text",
"category_name": "text",
"viewer_interest_status": "text"
}
}Retrieve Cluster Event List.
JWT Token Authentication. Enter "Bearer "
falseExample: false200Example: 200GET /api/v1/dashboard/events/ig/cluster/{cluster}/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": {
"id": "text",
"title": "text",
"slug": "text",
"cover_image": "text",
"status": "draft",
"scope": "global",
"event_scope": "maker",
"event_type": "hackathon",
"start_datetime": "2026-01-01T00:00:00.000Z",
"end_datetime": "2026-01-01T00:00:00.000Z",
"venue": {
"venue_type": "text",
"venue_address": "text",
"venue_city": "text",
"venue_maps_url": "https://example.com",
"venue_online_link": "text",
"venue_platform": "text"
},
"organizer": {
"organiser_type": "text",
"organiser_ig": "text",
"organiser_campus": "text",
"organiser_company": "text",
"organiser_ci_id": "text"
},
"is_featured": true,
"is_collaboration": true,
"interest_count": 1,
"min_karma": 1,
"tags": null,
"user_limit": 1,
"category_id": "text",
"category_name": "text",
"viewer_interest_status": "text"
}
}Retrieve Event Featured.
JWT Token Authentication. Enter "Bearer "
falseExample: false200Example: 200GET /api/v1/dashboard/events/is-featured/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": {
"id": "text",
"title": "text",
"slug": "text",
"cover_image": "text",
"status": "draft",
"scope": "global",
"event_scope": "maker",
"event_type": "hackathon",
"start_datetime": "2026-01-01T00:00:00.000Z",
"end_datetime": "2026-01-01T00:00:00.000Z",
"venue": {
"venue_type": "text",
"venue_address": "text",
"venue_city": "text",
"venue_maps_url": "https://example.com",
"venue_online_link": "text",
"venue_platform": "text"
},
"organizer": {
"organiser_type": "text",
"organiser_ig": "text",
"organiser_campus": "text",
"organiser_company": "text",
"organiser_ci_id": "text"
},
"is_featured": true,
"is_collaboration": true,
"interest_count": 1,
"min_karma": 1,
"tags": null,
"user_limit": 1,
"category_id": "text",
"category_name": "text",
"viewer_interest_status": "text"
}
}Retrieve Manage Event List Create.
JWT Token Authentication. Enter "Bearer "
falseExample: false200Example: 200GET /api/v1/dashboard/events/manage/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": {
"id": "text",
"title": "text",
"slug": "text",
"cover_image": "text",
"status": "draft",
"scope": "global",
"event_scope": "maker",
"event_type": "hackathon",
"start_datetime": "2026-01-01T00:00:00.000Z",
"end_datetime": "2026-01-01T00:00:00.000Z",
"venue": {
"venue_type": "text",
"venue_address": "text",
"venue_city": "text",
"venue_maps_url": "https://example.com",
"venue_online_link": "text",
"venue_platform": "text"
},
"organizer": {
"organiser_type": "text",
"organiser_ig": "text",
"organiser_campus": "text",
"organiser_company": "text",
"organiser_ci_id": "text"
},
"is_featured": true,
"is_collaboration": true,
"interest_count": 1,
"min_karma": 1,
"tags": null,
"user_limit": 1,
"category_id": "text",
"category_name": "text",
"viewer_interest_status": "text"
}
}Create Manage Event List Create.
JWT Token Authentication. Enter "Bearer "
Input serializer for POST /manage/ and PUT/PATCH /manage//.
physical- Physicalonline- Onlinehybrid- Hybrid
global- Globalcampus- Campusig- Interest Groupcampus_ig- Campus IGcompany- Company
global_ig- Global IGcampus_ig- Campus IGcampus- Campuscompany- Companyadmin- Admin
maker- Makercoder- Codermanager- Managercreative- Creative
hackathon- Hackathonworkshop- Workshopwebinar- Webinarseminar- Seminarbootcamp- Bootcampmeetup- Meetupconference- Conferencecompetition- Competitionideathon- Ideathoncultural_event- Cultural Eventsports_event- Sports Eventcommunity_event- Community Eventexpo- Exponetworking_event- Networking Eventtech_talk- Tech Talkothers- Others
falseExample: false200Example: 200POST /api/v1/dashboard/events/manage/ HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: multipart/form-data
Accept: */*
Content-Length: 708
{
"title": "text",
"description": "text",
"cover_image": "text",
"banner_image": "text",
"category": "text",
"start_datetime": "2026-01-01T00:00:00.000Z",
"end_datetime": "2026-01-01T00:00:00.000Z",
"registration_url": "text",
"registration_deadline": "2026-01-01T00:00:00.000Z",
"min_karma": 1,
"venue_type": "physical",
"venue_address": "text",
"venue_city": "text",
"venue_maps_url": "text",
"venue_online_link": "text",
"venue_platform": "text",
"scope": "global",
"scope_org": "text",
"scope_ig": "text",
"scope_ci_id": "text",
"organiser_type": "global_ig",
"organiser_ig": "text",
"organiser_org": "text",
"organiser_ci_id": "text",
"is_collaboration": true,
"is_featured": true,
"tags": null,
"user_limit": 1,
"event_scope": "maker",
"event_type": "hackathon"
}{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": {
"id": "text",
"title": "text",
"slug": "text",
"description": "text",
"cover_image": "text",
"banner_image": "text",
"category_id": "text",
"category_name": "text",
"status": "draft",
"scope": "global",
"event_scope": "maker",
"event_type": "hackathon",
"scope_org": {
"id": "text",
"title": "text",
"org_type": "text"
},
"scope_ig": {
"id": "text",
"name": "text",
"icon": "text"
},
"scope_ci_id": "text",
"organizer": {
"organiser_type": "text",
"organiser_ig": "text",
"organiser_campus": "text",
"organiser_company": "text",
"organiser_ci_id": "text"
},
"venue": {
"venue_type": "text",
"venue_address": "text",
"venue_city": "text",
"venue_maps_url": "https://example.com",
"venue_online_link": "text",
"venue_platform": "text"
},
"start_datetime": "2026-01-01T00:00:00.000Z",
"end_datetime": "2026-01-01T00:00:00.000Z",
"registration_url": "text",
"registration_deadline": "2026-01-01T00:00:00.000Z",
"min_karma": 1,
"is_featured": true,
"is_collaboration": true,
"interest_count": 1,
"tags": null,
"user_limit": 1,
"linked_tasks": "text",
"co_owners": "text",
"collaborators": "text",
"viewer_interest_status": "text",
"viewer_can_access_registration": "text",
"viewer_access_blocked_reason": "text",
"created_by": {
"id": "text",
"full_name": "text",
"muid": "text",
"profile_pic": "text"
},
"updated_by": {
"id": "text",
"full_name": "text",
"muid": "text",
"profile_pic": "text"
},
"created_at": "2026-01-01T00:00:00.000Z",
"updated_at": "2026-01-01T00:00:00.000Z"
}
}Retrieve Manage Event Detail.
JWT Token Authentication. Enter "Bearer "
falseExample: false200Example: 200GET /api/v1/dashboard/events/manage/{event_id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": {
"id": "text",
"title": "text",
"slug": "text",
"description": "text",
"cover_image": "text",
"banner_image": "text",
"category_id": "text",
"category_name": "text",
"status": "draft",
"scope": "global",
"event_scope": "maker",
"event_type": "hackathon",
"scope_org": {
"id": "text",
"title": "text",
"org_type": "text"
},
"scope_ig": {
"id": "text",
"name": "text",
"icon": "text"
},
"scope_ci_id": "text",
"organizer": {
"organiser_type": "text",
"organiser_ig": "text",
"organiser_campus": "text",
"organiser_company": "text",
"organiser_ci_id": "text"
},
"venue": {
"venue_type": "text",
"venue_address": "text",
"venue_city": "text",
"venue_maps_url": "https://example.com",
"venue_online_link": "text",
"venue_platform": "text"
},
"start_datetime": "2026-01-01T00:00:00.000Z",
"end_datetime": "2026-01-01T00:00:00.000Z",
"registration_url": "text",
"registration_deadline": "2026-01-01T00:00:00.000Z",
"min_karma": 1,
"is_featured": true,
"is_collaboration": true,
"interest_count": 1,
"tags": null,
"user_limit": 1,
"linked_tasks": "text",
"co_owners": "text",
"collaborators": "text",
"viewer_interest_status": "text",
"viewer_can_access_registration": "text",
"viewer_access_blocked_reason": "text",
"created_by": {
"id": "text",
"full_name": "text",
"muid": "text",
"profile_pic": "text"
},
"updated_by": {
"id": "text",
"full_name": "text",
"muid": "text",
"profile_pic": "text"
},
"created_at": "2026-01-01T00:00:00.000Z",
"updated_at": "2026-01-01T00:00:00.000Z"
}
}Update Manage Event Detail.
JWT Token Authentication. Enter "Bearer "
falseExample: false200Example: 200PUT /api/v1/dashboard/events/manage/{event_id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": {
"id": "text",
"title": "text",
"slug": "text",
"description": "text",
"cover_image": "text",
"banner_image": "text",
"category_id": "text",
"category_name": "text",
"status": "draft",
"scope": "global",
"event_scope": "maker",
"event_type": "hackathon",
"scope_org": {
"id": "text",
"title": "text",
"org_type": "text"
},
"scope_ig": {
"id": "text",
"name": "text",
"icon": "text"
},
"scope_ci_id": "text",
"organizer": {
"organiser_type": "text",
"organiser_ig": "text",
"organiser_campus": "text",
"organiser_company": "text",
"organiser_ci_id": "text"
},
"venue": {
"venue_type": "text",
"venue_address": "text",
"venue_city": "text",
"venue_maps_url": "https://example.com",
"venue_online_link": "text",
"venue_platform": "text"
},
"start_datetime": "2026-01-01T00:00:00.000Z",
"end_datetime": "2026-01-01T00:00:00.000Z",
"registration_url": "text",
"registration_deadline": "2026-01-01T00:00:00.000Z",
"min_karma": 1,
"is_featured": true,
"is_collaboration": true,
"interest_count": 1,
"tags": null,
"user_limit": 1,
"linked_tasks": "text",
"co_owners": "text",
"collaborators": "text",
"viewer_interest_status": "text",
"viewer_can_access_registration": "text",
"viewer_access_blocked_reason": "text",
"created_by": {
"id": "text",
"full_name": "text",
"muid": "text",
"profile_pic": "text"
},
"updated_by": {
"id": "text",
"full_name": "text",
"muid": "text",
"profile_pic": "text"
},
"created_at": "2026-01-01T00:00:00.000Z",
"updated_at": "2026-01-01T00:00:00.000Z"
}
}Delete Manage Event Detail.
JWT Token Authentication. Enter "Bearer "
falseExample: false200Example: 200DELETE /api/v1/dashboard/events/manage/{event_id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": {
"id": "text",
"title": "text",
"slug": "text",
"description": "text",
"cover_image": "text",
"banner_image": "text",
"category_id": "text",
"category_name": "text",
"status": "draft",
"scope": "global",
"event_scope": "maker",
"event_type": "hackathon",
"scope_org": {
"id": "text",
"title": "text",
"org_type": "text"
},
"scope_ig": {
"id": "text",
"name": "text",
"icon": "text"
},
"scope_ci_id": "text",
"organizer": {
"organiser_type": "text",
"organiser_ig": "text",
"organiser_campus": "text",
"organiser_company": "text",
"organiser_ci_id": "text"
},
"venue": {
"venue_type": "text",
"venue_address": "text",
"venue_city": "text",
"venue_maps_url": "https://example.com",
"venue_online_link": "text",
"venue_platform": "text"
},
"start_datetime": "2026-01-01T00:00:00.000Z",
"end_datetime": "2026-01-01T00:00:00.000Z",
"registration_url": "text",
"registration_deadline": "2026-01-01T00:00:00.000Z",
"min_karma": 1,
"is_featured": true,
"is_collaboration": true,
"interest_count": 1,
"tags": null,
"user_limit": 1,
"linked_tasks": "text",
"co_owners": "text",
"collaborators": "text",
"viewer_interest_status": "text",
"viewer_can_access_registration": "text",
"viewer_access_blocked_reason": "text",
"created_by": {
"id": "text",
"full_name": "text",
"muid": "text",
"profile_pic": "text"
},
"updated_by": {
"id": "text",
"full_name": "text",
"muid": "text",
"profile_pic": "text"
},
"created_at": "2026-01-01T00:00:00.000Z",
"updated_at": "2026-01-01T00:00:00.000Z"
}
}Partially update Manage Event Detail.
JWT Token Authentication. Enter "Bearer "
falseExample: false200Example: 200PATCH /api/v1/dashboard/events/manage/{event_id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": {
"id": "text",
"title": "text",
"slug": "text",
"description": "text",
"cover_image": "text",
"banner_image": "text",
"category_id": "text",
"category_name": "text",
"status": "draft",
"scope": "global",
"event_scope": "maker",
"event_type": "hackathon",
"scope_org": {
"id": "text",
"title": "text",
"org_type": "text"
},
"scope_ig": {
"id": "text",
"name": "text",
"icon": "text"
},
"scope_ci_id": "text",
"organizer": {
"organiser_type": "text",
"organiser_ig": "text",
"organiser_campus": "text",
"organiser_company": "text",
"organiser_ci_id": "text"
},
"venue": {
"venue_type": "text",
"venue_address": "text",
"venue_city": "text",
"venue_maps_url": "https://example.com",
"venue_online_link": "text",
"venue_platform": "text"
},
"start_datetime": "2026-01-01T00:00:00.000Z",
"end_datetime": "2026-01-01T00:00:00.000Z",
"registration_url": "text",
"registration_deadline": "2026-01-01T00:00:00.000Z",
"min_karma": 1,
"is_featured": true,
"is_collaboration": true,
"interest_count": 1,
"tags": null,
"user_limit": 1,
"linked_tasks": "text",
"co_owners": "text",
"collaborators": "text",
"viewer_interest_status": "text",
"viewer_can_access_registration": "text",
"viewer_access_blocked_reason": "text",
"created_by": {
"id": "text",
"full_name": "text",
"muid": "text",
"profile_pic": "text"
},
"updated_by": {
"id": "text",
"full_name": "text",
"muid": "text",
"profile_pic": "text"
},
"created_at": "2026-01-01T00:00:00.000Z",
"updated_at": "2026-01-01T00:00:00.000Z"
}
}Retrieve analytics and performance stats for an event.
JWT Token Authentication. Enter "Bearer "
falseExample: false200Example: 200GET /api/v1/dashboard/events/manage/{event_id}/analytics/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": {
"summary": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"interest_trend": [
{
"ANY_ADDITIONAL_PROPERTY": "anything"
}
],
"task_breakdown": [
{
"ANY_ADDITIONAL_PROPERTY": "anything"
}
]
}
}Retrieve Manage Event Co Owner.
JWT Token Authentication. Enter "Bearer "
falseExample: false200Example: 200GET /api/v1/dashboard/events/manage/{event_id}/co-owners/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": {
"id": "text",
"entity_id": "text",
"user": "text",
"added_by": "text",
"added_at": "2026-01-01T00:00:00.000Z"
}
}Create Manage Event Co Owner.
JWT Token Authentication. Enter "Bearer "
falseExample: false200Example: 200POST /api/v1/dashboard/events/manage/{event_id}/co-owners/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": {
"id": "text",
"entity_id": "text",
"user": "text",
"added_by": "text",
"added_at": "2026-01-01T00:00:00.000Z"
}
}Delete Manage Event Co Owner Remove.
JWT Token Authentication. Enter "Bearer "
falseExample: false200Example: 200DELETE /api/v1/dashboard/events/manage/{event_id}/co-owners/{co_owner_id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": {
"id": "text",
"entity_id": "text",
"user": "text",
"added_by": "text",
"added_at": "2026-01-01T00:00:00.000Z"
}
}Retrieve Manage Event Collaborator.
JWT Token Authentication. Enter "Bearer "
falseExample: false200Example: 200GET /api/v1/dashboard/events/manage/{event_id}/collaborators/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": {
"id": "text",
"entity_type": "user_ticket",
"entity_id": "text",
"entity_detail": "text",
"role_label": "text",
"invite_status": "pending",
"rejection_reason": "text",
"responded_at": "2026-01-01T00:00:00.000Z",
"created_at": "2026-01-01T00:00:00.000Z"
}
}Create Manage Event Collaborator.
JWT Token Authentication. Enter "Bearer "
falseExample: false200Example: 200POST /api/v1/dashboard/events/manage/{event_id}/collaborators/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": {
"id": "text",
"entity_type": "user_ticket",
"entity_id": "text",
"entity_detail": "text",
"role_label": "text",
"invite_status": "pending",
"rejection_reason": "text",
"responded_at": "2026-01-01T00:00:00.000Z",
"created_at": "2026-01-01T00:00:00.000Z"
}
}Delete Manage Event Collaborator Remove.
JWT Token Authentication. Enter "Bearer "
falseExample: false200Example: 200DELETE /api/v1/dashboard/events/manage/{event_id}/collaborators/{collaborator_id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": {
"id": "text",
"entity_type": "user_ticket",
"entity_id": "text",
"entity_detail": "text",
"role_label": "text",
"invite_status": "pending",
"rejection_reason": "text",
"responded_at": "2026-01-01T00:00:00.000Z",
"created_at": "2026-01-01T00:00:00.000Z"
}
}Create Manage Event Collaborator Accept.
JWT Token Authentication. Enter "Bearer "
falseExample: false200Example: 200POST /api/v1/dashboard/events/manage/{event_id}/collaborators/{collaborator_id}/accept/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": {
"id": "text",
"entity_type": "user_ticket",
"entity_id": "text",
"entity_detail": "text",
"role_label": "text",
"invite_status": "pending",
"rejection_reason": "text",
"responded_at": "2026-01-01T00:00:00.000Z",
"created_at": "2026-01-01T00:00:00.000Z"
}
}Create Manage Event Collaborator Reject.
JWT Token Authentication. Enter "Bearer "
falseExample: false200Example: 200POST /api/v1/dashboard/events/manage/{event_id}/collaborators/{collaborator_id}/reject/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": {
"id": "text",
"entity_type": "user_ticket",
"entity_id": "text",
"entity_detail": "text",
"role_label": "text",
"invite_status": "pending",
"rejection_reason": "text",
"responded_at": "2026-01-01T00:00:00.000Z",
"created_at": "2026-01-01T00:00:00.000Z"
}
}Create Manage Event Publish.
JWT Token Authentication. Enter "Bearer "
falseExample: false200Example: 200POST /api/v1/dashboard/events/manage/{event_id}/publish/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": {
"id": "text",
"status": "text"
}
}List all tasks linked to an event.
JWT Token Authentication. Enter "Bearer "
falseExample: false200Example: 200GET /api/v1/dashboard/events/manage/{event_id}/tasks/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": [
{
"id": "text",
"hashtag": "text",
"title": "text",
"description": "text",
"karma": 1,
"approval_status": "approved",
"active": true,
"type": "text",
"ig": {
"id": "text",
"name": "text",
"icon": "text"
},
"level": "text",
"channel": "text",
"org": "text",
"variable_karma": true,
"usage_count": 1,
"bonus_time": "2026-01-01T00:00:00.000Z",
"bonus_karma": 1,
"created_by": {
"id": "text",
"full_name": "text",
"muid": "text",
"profile_pic": "text"
},
"created_at": "2026-01-01T00:00:00.000Z",
"updated_at": "2026-01-01T00:00:00.000Z"
}
]
}Create a new task linked to an event. Task will require admin approval.
JWT Token Authentication. Enter "Bearer "
Write serializer for creating/updating event-linked tasks.
falseExample: false200Example: 200POST /api/v1/dashboard/events/manage/{event_id}/tasks/ HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 158
{
"hashtag": "text",
"title": "text",
"description": "text",
"karma": 1,
"type": "text",
"ig": "text",
"level": "text",
"org": "text",
"bonus_time": "2026-01-01T00:00:00.000Z"
}{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": {
"id": "text",
"hashtag": "text",
"title": "text",
"description": "text",
"karma": 1,
"approval_status": "approved",
"active": true,
"type": "text",
"ig": {
"id": "text",
"name": "text",
"icon": "text"
},
"level": "text",
"channel": "text",
"org": "text",
"variable_karma": true,
"usage_count": 1,
"bonus_time": "2026-01-01T00:00:00.000Z",
"bonus_karma": 1,
"created_by": {
"id": "text",
"full_name": "text",
"muid": "text",
"profile_pic": "text"
},
"created_at": "2026-01-01T00:00:00.000Z",
"updated_at": "2026-01-01T00:00:00.000Z"
}
}Retrieve a specific task linked to an event.
JWT Token Authentication. Enter "Bearer "
falseExample: false200Example: 200GET /api/v1/dashboard/events/manage/{event_id}/tasks/{task_id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": {
"id": "text",
"hashtag": "text",
"title": "text",
"description": "text",
"karma": 1,
"approval_status": "approved",
"active": true,
"type": "text",
"ig": {
"id": "text",
"name": "text",
"icon": "text"
},
"level": "text",
"channel": "text",
"org": "text",
"variable_karma": true,
"usage_count": 1,
"bonus_time": "2026-01-01T00:00:00.000Z",
"bonus_karma": 1,
"created_by": {
"id": "text",
"full_name": "text",
"muid": "text",
"profile_pic": "text"
},
"created_at": "2026-01-01T00:00:00.000Z",
"updated_at": "2026-01-01T00:00:00.000Z"
}
}Delete a task linked to an event.
JWT Token Authentication. Enter "Bearer "
falseExample: false200Example: 200DELETE /api/v1/dashboard/events/manage/{event_id}/tasks/{task_id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": {
"message": "text"
}
}Partially update a task linked to an event.
JWT Token Authentication. Enter "Bearer "
Write serializer for creating/updating event-linked tasks.
falseExample: false200Example: 200PATCH /api/v1/dashboard/events/manage/{event_id}/tasks/{task_id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 158
{
"hashtag": "text",
"title": "text",
"description": "text",
"karma": 1,
"type": "text",
"ig": "text",
"level": "text",
"org": "text",
"bonus_time": "2026-01-01T00:00:00.000Z"
}{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": {
"id": "text",
"hashtag": "text",
"title": "text",
"description": "text",
"karma": 1,
"approval_status": "approved",
"active": true,
"type": "text",
"ig": {
"id": "text",
"name": "text",
"icon": "text"
},
"level": "text",
"channel": "text",
"org": "text",
"variable_karma": true,
"usage_count": 1,
"bonus_time": "2026-01-01T00:00:00.000Z",
"bonus_karma": 1,
"created_by": {
"id": "text",
"full_name": "text",
"muid": "text",
"profile_pic": "text"
},
"created_at": "2026-01-01T00:00:00.000Z",
"updated_at": "2026-01-01T00:00:00.000Z"
}
}Retrieve dropdown metadata for event task forms.
JWT Token Authentication. Enter "Bearer "
falseExample: false200Example: 200GET /api/v1/dashboard/events/manage/{event_id}/tasks/meta/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": {
"task_types": [
{
"ANY_ADDITIONAL_PROPERTY": "anything"
}
],
"interest_groups": [
{
"ANY_ADDITIONAL_PROPERTY": "anything"
}
],
"levels": [
{
"ANY_ADDITIONAL_PROPERTY": "anything"
}
],
"channels": [
{
"ANY_ADDITIONAL_PROPERTY": "anything"
}
],
"organizations": [
{
"ANY_ADDITIONAL_PROPERTY": "anything"
}
]
}
}JWT Token Authentication. Enter "Bearer "
No response body
No content
POST /api/v1/dashboard/events/mentor/{event_id}/approve/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
No response body
No content
JWT Token Authentication. Enter "Bearer "
No response body
No content
POST /api/v1/dashboard/events/mentor/{event_id}/reject/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
No response body
No content
Retrieve Event Categories.
falseExample: false200Example: 200GET /api/v1/dashboard/events/meta/categories/ HTTP/1.1
Accept: */*
{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": [
{
"id": "text",
"name": "text",
"description": "text"
}
]
}Retrieve Collaboration Targets.
JWT Token Authentication. Enter "Bearer "
falseExample: false200Example: 200GET /api/v1/dashboard/events/meta/collaboration-targets/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": {
"ig": [
{
"ANY_ADDITIONAL_PROPERTY": "anything"
}
],
"campus": [
{
"ANY_ADDITIONAL_PROPERTY": "anything"
}
],
"company": [
{
"ANY_ADDITIONAL_PROPERTY": "anything"
}
],
"campus_ig": [
{
"ANY_ADDITIONAL_PROPERTY": "anything"
}
]
}
}Retrieve Event Types and Scopes.
falseExample: false200Example: 200GET /api/v1/dashboard/events/meta/event-type-scope/ HTTP/1.1
Accept: */*
{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": {
"event_type": [
"text"
],
"event_scope": [
"text"
]
}
}Retrieve Organizer Options.
JWT Token Authentication. Enter "Bearer "
falseExample: false200Example: 200GET /api/v1/dashboard/events/meta/organizer-options/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": {
"can_create_as_ig": [
{
"ANY_ADDITIONAL_PROPERTY": "anything"
}
],
"can_create_as_campus_ig": [
{
"ANY_ADDITIONAL_PROPERTY": "anything"
}
],
"can_create_as_campus": [
{
"ANY_ADDITIONAL_PROPERTY": "anything"
}
],
"can_create_as_company": [
{
"ANY_ADDITIONAL_PROPERTY": "anything"
}
],
"can_create_as_admin": true,
"campus_context": {
"ANY_ADDITIONAL_PROPERTY": "anything"
}
}
}Retrieve My Event Invites.
JWT Token Authentication. Enter "Bearer "
falseExample: false200Example: 200GET /api/v1/dashboard/events/my-invites/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": {
"id": "text",
"entity_type": "user_ticket",
"entity_id": "text",
"entity_detail": "text",
"role_label": "text",
"invite_status": "pending",
"rejection_reason": "text",
"responded_at": "2026-01-01T00:00:00.000Z",
"created_at": "2026-01-01T00:00:00.000Z",
"event_id": "text",
"event_title": "text",
"event_start_datetime": "2026-01-01T00:00:00.000Z",
"event_cover_image": "text"
}
}Scope-aware list of tasks for events the caller can access. Unauthenticated callers receive only global-event tasks.
JWT Token Authentication. Enter "Bearer "
falseExample: false200Example: 200GET /api/v1/dashboard/events/tasks/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": [
{
"id": "text",
"hashtag": "text",
"title": "text",
"description": "text",
"karma": 1,
"channel": "text",
"discord_id": "text",
"type": "text",
"variable_karma": true,
"level": "text",
"ig": "text",
"event": "text",
"event_id": "text"
}
]
}Last updated
Was this helpful?

